All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.form
Class BaseCheckBox

    com.sas.servlet.tbeans.form.BaseCheckBox

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, FormElementModificationEventInterface, com.sas.servlet.tbeans.form.JavaScriptObjectCreationInterface, com.sas.servlet.tbeans.JavaScriptEventHandlerInterface, RenderableInterface, TransformationInterface, GenericValidatorInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  CheckBox

    public abstract class BaseCheckBox

The BaseCheckBox is an abstract TransformationBean™ for creating a checkbox. Checkboxes are on/off switches that may be toggled by the user. A switch is "on" when the control element's checked attribute is set. When a form is submitted, only "on" checkbox controls will be submitted. Several checkboxes in a form may share the same control name. Thus, for example, checkboxes allow users to select several values for the same property. The INPUT element is used to create a checkbox control.

Note that subclasses of this bean actually provide the markup rendering used in/with Servlet and JavaServer Pages technologies. If you need to add support for a markup language that is not explicitly provided with AppDev Studio, then you must extend this class.

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:CheckBox custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`RB_KEY`

Constructor Summary
`BaseCheckBox()` Construct a new CheckBox object

Method Summary
`boolean` | `getSelected()` Gets the state of the checkbox : TRUE is selected
`java.lang.String` | `getText()` Gets the displayed text associated with the checkbox.
`java.lang.String` | `getValue()` Gets the value that is assigned to a checkbox that is on/selected.
`boolean` | `isLabelBolding()` Returns whether the to bold the label when the checkbox is selected: TRUE bold label
`void` | `setLabelBolding(boolean value)` Sets whether the to bold the label when the checkbox is selected: TRUE bold label Default value is FALSE.
`void` | `setSelected(boolean value)` Sets the state of the checkbox : TRUE is selected
`void` | `setText(java.lang.String value)` Sets the displayed text associated with the checkbox.
`void` | `setValue(java.lang.String value)` Sets the value that is assigned to a checkbox that is on/selected.

Methods inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`getAccessKey, getErrorHandler, getModificationEventName, getName, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleInfo, getTabIndex, getTitle, getValidationFunctions, getValidator, isEnabled, isValid, isValidationEnabled, setAccessKey, setEnabled, setErrorHandler, setId, setModificationEventName, setName, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleInfo, setTabIndex, setTitle, setValidator, write, writeJavaScriptObject, writeJavaScriptObjectValidate, writeJavaScriptValidatorObject, writeValidationScript`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setInputTransform, setLocale, setLocaleDependentProperties, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Constructor Detail

### BaseCheckBox

    public BaseCheckBox()

  Construct a new CheckBox object

Method Detail

### setValue

    public void setValue(java.lang.String value)

  Sets the value that is assigned to a checkbox that is on/selected.

  Parameters:
    `value` - The value associated with the checkbox when it is on/selected.

### getValue

    public java.lang.String getValue()

  Gets the value that is assigned to a checkbox that is on/selected.

  Returns:
    The value associated with the checkbox when it is on.

### setText

    public void setText(java.lang.String value)

  Sets the displayed text associated with the checkbox.

  Parameters:
    `value` - The text associated with the checkbox.

### getText

    public java.lang.String getText()

  Gets the displayed text associated with the checkbox.

  Returns:
    The text associated with the checkbox.

### setSelected

    public void setSelected(boolean value)

  Sets the state of the checkbox : TRUE is selected

  Parameters:
    `value` - true if the checkbox is marked as selected

### getSelected

    public boolean getSelected()

  Gets the state of the checkbox : TRUE is selected

  Returns:
    true if the checkbox is marked as selected

### setLabelBolding

    public void setLabelBolding(boolean value)

  Sets whether the to bold the label when the checkbox is selected: TRUE bold label Default value is FALSE.

  Parameters:
    `value` - true to bold the label when the checkbox is selected

### isLabelBolding

    public boolean isLabelBolding()

  Returns whether the to bold the label when the checkbox is selected: TRUE bold label

  Returns:
    true if label is bolded when the checkbox is selected

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.